Bug 1197158 - ADD_REGISTRY support is broken in 1.5.0-6
Summary: ADD_REGISTRY support is broken in 1.5.0-6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1188764
TreeView+ depends on / blocked
 
Reported: 2015-02-27 15:36 UTC by Jeremy Eder
Modified: 2019-03-06 01:23 UTC (History)
5 users (show)

Fixed In Version: 1.5.0-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 13:12:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0759 0 normal SHIPPED_LIVE docker bug fix update 2015-03-30 17:11:43 UTC

Description Jeremy Eder 2015-02-27 15:36:57 UTC
This bug does not exist in docker-1.4.1-37.

Using docker-1.5.0-6, ADD_REGISTRY is defined in /etc/sysconfig/docker, but the systemd unitfile does not use that variable.  

# rpm -q docker
docker-1.5.0-6.el7.x86_64

# rpm -Va docker

# echo $?
0

# grep REGISTRY /etc/sysconfig/docker|grep -v ^\#
ADD_REGISTRY='--add-registry registry.access.redhat.com'

# grep REGISTRY /usr/lib/systemd/system/docker.service|grep -v ^\#
          $REGISTRY_PREPEND \
          $REGISTRY_REPLACE \
          $INSECURE_REGISTRY

Comment 1 Lokesh Mandvekar 2015-02-27 15:40:59 UTC
1.5.0-7 will fix this

Comment 2 Jeremy Eder 2015-02-27 15:42:07 UTC
also, BLOCK_REGISTRY needs to get into the unitfile.  Basically the variables used in /etc/sysconfig/docker* need to be fully reconciled with the docker.service file.

Comment 4 Lokesh Mandvekar 2015-03-02 04:38:01 UTC
1.5.0-7 fixes this, but docker-fetch has been disabled in this since it fails to build

Comment 6 Luwen Su 2015-03-19 09:30:06 UTC
In docker-1.5.0-20.el7.x86_64, it's
/usr/lib/systemd/system/docker.service
ExecStart=/usr/bin/docker -d $OPTIONS \
          $DOCKER_STORAGE_OPTIONS \
          $DOCKER_NETWORK_OPTIONS \
          $ADD_REGISTRY \
          $BLOCK_REGISTRY \
          $INSECURE_REGISTRY

Comment 8 errata-xmlrpc 2015-03-30 13:12:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0759.html


Note You need to log in before you can comment on or make changes to this bug.